## gitaly 0.96.1+debian

=== Makefile ===
PREFIX := /usr/local
PKG := gitlab.com/gitlab-org/gitaly
BUILD_DIR := $(CURDIR)
TARGET_DIR := $(BUILD_DIR)/_build
TARGET_SETUP := $(TARGET_DIR)/.ok
BIN_BUILD_DIR := $(TARGET_DIR)/bin
PKG_BUILD_DIR := $(TARGET_DIR)/src/$(PKG)
export TEST_REPO_STORAGE_PATH := $(BUILD_DIR)/internal/testhelper/testdata/data
TEST_REPO := $(TEST_REPO_STORAGE_PATH)/gitlab-test.git
INSTALL_DEST_DIR := $(DESTDIR)$(PREFIX)/bin/
COVERAGE_DIR := $(TARGET_DIR)/cover
ASSEMBLY_ROOT := $(TARGET_DIR)/assembly
export GITALY_TEST_RUBY_DIR := $(BUILD_DIR)/ruby
BUNDLE_FLAGS ?= --deployment

BUILDTIME = $(shell date -u +%Y%m%d.%H%M%S)
VERSION_PREFIXED = $(shell git describe)
VERSION = $(VERSION_PREFIXED:v%=%)
GO_LDFLAGS = -ldflags '-X $(PKG)/internal/version.version=$(VERSION) -X $(PKG)/internal/version.buildtime=$(BUILDTIME)'

unexport GOROOT
unexport GOBIN

export GOPATH := $(TARGET_DIR)
export PATH := $(GOPATH)/bin:$(PATH)

# Returns a list of all non-vendored (local packages)
LOCAL_PACKAGES = $(shell cd "$(PKG_BUILD_DIR)" && GOPATH=$(GOPATH) go list ./... | grep -v '^$(PKG)/vendor/' | grep -v '^$(PKG)/ruby/')
LOCAL_GO_FILES = $(shell find -L $(PKG_BUILD_DIR)  -name "*.go" -not -path "$(PKG_BUILD_DIR)/vendor/*" -not -path "$(PKG_BUILD_DIR)/_build/*")
CHANGED_LOCAL_GO_FILES = $(shell git status  --porcelain --short | awk '{ print $$2 }' | grep -v '^$(PKG)/vendor/' | grep .go$)
CHANGED_LOCAL_GO_PACKAGES = $(foreach file,$(CHANGED_LOCAL_GO_FILES),./$(dir $(file))/...)
COMMAND_PACKAGES = $(shell cd "$(PKG_BUILD_DIR)" && GOPATH=$(GOPATH) go list ./cmd/...)
COMMANDS = $(subst $(PKG)/cmd/,,$(COMMAND_PACKAGES))

# Developer Tools
GOVENDOR = $(BIN_BUILD_DIR)/govendor
GOLINT = $(BIN_BUILD_DIR)/golint
GOCOVMERGE = $(BIN_BUILD_DIR)/gocovmerge
GOIMPORTS = $(BIN_BUILD_DIR)/goimports
MEGACHECK = $(BIN_BUILD_DIR)/megacheck

.NOTPARALLEL:

.PHONY: all
all: build

$(TARGET_SETUP):
	rm -rf $(TARGET_DIR)
	mkdir -p "$(dir $(PKG_BUILD_DIR))"
	ln -sf ../../../.. "$(PKG_BUILD_DIR)"
	mkdir -p "$(BIN_BUILD_DIR)"
	touch "$(TARGET_SETUP)"

build:	.ruby-bundle $(TARGET_SETUP)
	go install $(GO_LDFLAGS) $(COMMAND_PACKAGES)
	cp $(foreach cmd,$(COMMANDS),$(BIN_BUILD_DIR)/$(cmd)) $(BUILD_DIR)/

.ruby-bundle:	ruby/Gemfile.lock ruby/Gemfile
	cd ruby && bundle install $(BUNDLE_FLAGS)
	touch $@

# TODO: confirm what references this target? Omnibus? Source installs?
.PHONY: install
install: build
	mkdir -p $(INSTALL_DEST_DIR)
	cd $(BIN_BUILD_DIR) && install $(COMMANDS) $(INSTALL_DEST_DIR)

.PHONY: force-ruby-bundle
force-ruby-bundle:
	rm -f .ruby-bundle

# Assembles all runtime components into a directory
# Used by the GDK: run `make assemble ASSEMBLY_ROOT=.../gitaly`
.PHONY: assemble
assemble: force-ruby-bundle build assemble-internal

# assemble-internal does not force 'bundle install' to run again
.PHONY: assemble-internal
assemble-internal: build
	rm -rf $(ASSEMBLY_ROOT)/bin $(ASSEMBLY_ROOT)/ruby
	mkdir -p $(ASSEMBLY_ROOT)/bin
	rm -rf ruby/tmp
	cp -r ruby $(ASSEMBLY_ROOT)/ruby
	rm -rf $(ASSEMBLY_ROOT)/ruby/spec
	install $(foreach cmd,$(COMMANDS),$(BIN_BUILD_DIR)/$(cmd)) $(ASSEMBLY_ROOT)/bin

binaries: assemble
	@if [ $$(uname -m) != 'x86_64' ]; then echo Incorrect architecture for build: $(uname -m); exit 1; fi
	@cd $(ASSEMBLY_ROOT) && shasum -a 256 bin/* | tee checksums.sha256.txt

docker: $(TARGET_SETUP)
	rm -rf $(TARGET_DIR)/docker/
	mkdir -p $(TARGET_DIR)/docker/bin/
	cp -r ruby $(TARGET_DIR)/docker/ruby/
	rm -rf $(TARGET_DIR)/docker/ruby/vendor/bundle

	for cmd in $(COMMAND_PACKAGES); do \
		GOOS=linux GOARCH=amd64 go build $(GO_LDFLAGS) -o "$(TARGET_DIR)/docker/bin/$$(basename $$cmd)" $$cmd; \
	done

	cp Dockerfile $(TARGET_DIR)/docker/
	docker build -t gitlab/gitaly:$(VERSION_PREFIXED) -t gitlab/gitaly:latest $(TARGET_DIR)/docker/

.PHONY: verify
verify: lint check-formatting megacheck govendor-status notice-up-to-date

.PHONY: govendor-status
govendor-status: $(TARGET_SETUP) $(GOVENDOR)
	cd $(PKG_BUILD_DIR) && govendor status

$(TEST_REPO):
	git clone --bare https://gitlab.com/gitlab-org/gitlab-test.git $@

.PHONY: prepare-tests
prepare-tests: $(TARGET_SETUP) $(TEST_REPO) .ruby-bundle

.PHONY: test
test: test-go rspec

.PHONY: test-go
test-go: prepare-tests
	@go test -count=1 $(LOCAL_PACKAGES) # count=1 bypasses go 1.10 test caching

.PHONY: race-go
race-go: prepare-tests
	@go test -race $(LOCAL_PACKAGES)

.PHONY: rspec
rspec: assemble-internal prepare-tests
	cd ruby && bundle exec rspec

.PHONY: test-changes
test-changes: prepare-tests
	cd $(PKG_BUILD_DIR) && go test $(CHANGED_LOCAL_GO_PACKAGES)

.PHONY: lint
lint: $(GOLINT)
	go run _support/lint.go

.PHONY: megacheck
megacheck: $(MEGACHECK)
	@$(MEGACHECK) $(LOCAL_PACKAGES)

.PHONY: check-formatting
check-formatting: $(TARGET_SETUP) $(GOIMPORTS)
	@test -z "$$($(GOIMPORTS) -e -l $(LOCAL_GO_FILES))" || (echo >&2 "Formatting or imports need fixing: 'make format'" && $(GOIMPORTS) -e -l $(LOCAL_GO_FILES) && false)

.PHONY: format
format: $(TARGET_SETUP) $(GOIMPORTS)
    # In addition to fixing imports, goimports also formats your code in the same style as gofmt
	# so it can be used as a replacement.
	@$(GOIMPORTS) -w -l $(LOCAL_GO_FILES)

.PHONY: package
package: build
	./_support/package/package $(COMMANDS)

.PHONY: notice
notice: $(TARGET_SETUP) $(GOVENDOR)
	cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template -o $(BUILD_DIR)/NOTICE

.PHONY: notice-up-to-date
notice-up-to-date: $(TARGET_SETUP) $(GOVENDOR)
	@(cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template | cmp - NOTICE) || (echo >&2 "NOTICE requires update: 'make notice'" && false)

.PHONY: codeclimate-report
codeclimate-report:
	docker run --env CODECLIMATE_CODE="$(BUILD_DIR)" --volume "$(BUILD_DIR)":/code --volume /var/run/docker.sock:/var/run/docker.sock --volume /tmp/cc:/tmp/cc codeclimate/codeclimate analyze -f text

.PHONY: clean
clean:
	rm -rf $(TARGET_DIR) $(TEST_REPO) $(TEST_REPO_STORAGE_PATH) ./internal/service/ssh/gitaly-*-pack .ruby-bundle

.PHONY: cover
cover: prepare-tests $(GOCOVMERGE)
	@echo "NOTE: make cover does not exit 1 on failure, don't use it to check for tests success!"
	mkdir -p "$(COVERAGE_DIR)"
	rm -f $(COVERAGE_DIR)/*.out "$(COVERAGE_DIR)/all.merged" "$(COVERAGE_DIR)/all.html"
	go run _support/test-cover-parallel.go $(COVERAGE_DIR) $(LOCAL_PACKAGES)
	$(GOCOVMERGE) $(COVERAGE_DIR)/*.out > "$(COVERAGE_DIR)/all.merged"
	go tool cover -html  "$(COVERAGE_DIR)/all.merged" -o "$(COVERAGE_DIR)/all.html"
	@echo ""
	@echo "=====> Total test coverage: <====="
	@echo ""
	@go tool cover -func "$(COVERAGE_DIR)/all.merged"

# Install govendor
$(GOVENDOR): $(TARGET_SETUP)
	go get -v github.com/kardianos/govendor

# Install golint
$(GOLINT): $(TARGET_SETUP)
	go get -v github.com/golang/lint/golint

# Install gocovmerge
$(GOCOVMERGE): $(TARGET_SETUP)
	go get -v github.com/wadey/gocovmerge

# Install goimports
$(GOIMPORTS): $(TARGET_SETUP)
	go get -v golang.org/x/tools/cmd/goimports

# Install megacheck
$(MEGACHECK): $(TARGET_SETUP)
	go get -v honnef.co/go/tools/cmd/megacheck

## gitaly 0.6.0+debian

=== debian/changelog ===
gitaly (0.6.0+debian-1) unstable; urgency=medium

  * Initial release (Closes: #870606)

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 Aug 2017 15:48:08 +0530

=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9),
 dh-golang,
 golang-go,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-davecgh-go-spew-dev,
 golang-goprotobuf-dev,
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
 golang-protobuf-extensions-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-prometheus-client-model-dev,
 golang-github-prometheus-common-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-gitaly-proto-dev,
 golang-github-kelseyhightower-envconfig-dev,
 golang-procfs-dev
Standards-Version: 4.0.0
Homepage: https://gitlab.com/gitlab-org/gitaly
#Vcs-Git: https://anonscm.debian.org/collab-maint/gitaly.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/gitaly.git
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly

Package: gitaly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
  golang-go
Description: Git RPC service for handling all the git calls made by GitLab
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@  --buildsystem=golang --with=golang

override_dh_auto_test:
	echo "Disable tests"

# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=3
opts=\
repacksuffix=+debian,\
repack,compression=xz,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*=(.*)/gitaly-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly/tags?sort=updated_desc .*/archive.tar.gz\?ref=v(.*)

## gitaly 0.96.1+debian

=== debian/changelog ===
gitaly (0.96.1+debian-2) unstable; urgency=medium

  * Don't install Gemfile.lock
  * Relax ruby dependencies in Gemfile
  * Bump standards version to 4.1.3

 -- Pirate Praveen <praveen@debian.org>  Thu, 03 May 2018 20:42:13 +0530

gitaly (0.96.1+debian-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Pirate Praveen ]
  * Install config.toml
  * Fix paths, install ruby code
  * New upstream patch to fix github-linguist path (Closes: #894277)

  [ Dmitry Smirnov ]
  * New upstream release.
  * rules:
    + don't install golang sources (Closes: #893680).
    + expose version string.
    + enabled tests but ignore failures.
    + dh_clean to remove Files-Excluded.
  * control: added "Built-Using" field.
  * Build-Depends: fixed debhelper version to allow building in backports.
  * Build-Depends:
    + golang-golang-x-crypto-dev
    + golang-golang-x-sync-dev
    + golang-golang-x-sys-dev
    + golang-golang-x-text-dev
    + golang-google-genproto-dev
  * Depends:
    - golang-go
    + ruby-github-linguist
    + adduser
    + pipexec
    + procps
    + "ruby | ruby-interpreter" (L: ruby-script-but-no-ruby-dep)
  * Introduced "debian/gbp.conf".
  * Introduced service files.

 -- Pirate Praveen <praveen@debian.org>  Fri, 27 Apr 2018 12:24:32 +0530

gitaly (0.91.0+debian-1) unstable; urgency=medium

  * New upstream version 0.91.0 (Closes: #882476)
  * Fix watch file to look for new download url pattern
  * Bump debhelper compat to 11 and standards version to 4.1.3
  * Keep vendored versions of google.golang.org/grpc and
    gitlab.com/gitlab-org/gitaly-proto
  * Remove dh-make templates from debian/rules
  * Install NOTICE as docs

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Mar 2018 14:47:39 +0530

=== debian/control ===
Source: gitaly
Section: net
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 11~),
 dh-golang,
 golang-go,
 golang-github-beorn7-perks-dev,
 golang-github-burntsushi-toml-dev,
 golang-github-davecgh-go-spew-dev,
 golang-goprotobuf-dev,
# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
 golang-protobuf-extensions-dev,
#~ golang-github-getsentry-raven-go-dev,
 golang-github-pmezard-go-difflib-dev,
 golang-github-prometheus-client-golang-dev,
 golang-github-prometheus-client-model-dev,
 golang-github-prometheus-common-dev,
 golang-github-stretchr-testify-dev,
 golang-github-sirupsen-logrus-dev,
 golang-golang-x-crypto-dev,
 golang-golang-x-net-dev,
 golang-golang-x-sync-dev,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev,
#~ golang-google-grpc-dev,
 golang-google-genproto-dev,
# golang-gitaly-proto-dev (>= 0.89.0),
 golang-github-kelseyhightower-envconfig-dev,
 golang-procfs-dev
# Tests:
#  ,git
#  ,procps
#  ,ruby-bundler
Standards-Version: 4.1.4
Homepage: https://gitlab.com/gitlab-org/gitaly
Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
XS-Go-Import-Path: gitlab.com/gitlab-org/gitaly

Package: gitaly
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends}, ${misc:Depends}
    ,ruby | ruby-interpreter
    ,ruby-github-linguist
    ,adduser
# sysv deps:
    ,pipexec
    ,procps
Description: Git RPC service for handling all the git calls made by GitLab
 Gitaly makes the git data storage tier of large GitLab instances fast.
 .
 This is achieved by moving git operations as close to the data as possible and
 Optimizing git services using caching.
 .
 Gitaly is a core service of gitlab.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DH_GOLANG_INSTALL_ALL := 1  # test data
#export DH_GOLANG_INSTALL_EXTRA := vendor

include /usr/share/dpkg/pkg-info.mk
## Set some build variables as per Makefile:
VERSION  ?= $(shell sh -c 'printf "$${1%%+dfsg*}"' -- "$(DEB_VERSION_UPSTREAM)")
PKG := gitlab.com/gitlab-org/gitaly
GO_LDFLAGS ?= -X $(PKG)/internal/version.version=$(VERSION)

%:
	dh $@  --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean
	## Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`
	-find vendor -mindepth 1 -type d -empty -delete -printf 'removed %p\n'

override_dh_auto_build:
	dh_auto_build -- \
            -ldflags "$(GO_LDFLAGS)"

override_dh_auto_test:
	-dh_auto_test

override_dh_auto_install:
	dh_auto_install
	$(RM) -rv debian/gitaly/usr/share/gocode

override_dh_install:
	dh_install
	$(RM) -rv debian/gitaly/usr/share/gitaly/ruby/Gemfile.lock

=== debian/watch ===
version=3
opts=\
repacksuffix=+debian,\
repack,compression=xz,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/gitaly-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly/tags?sort=updated_desc .*/repository/v(.*)/archive.tar.gz

## gitaly 0.100.1+debian2

=== Makefile ===
--- 
+++ 
@@ -102,11 +102,15 @@
 	docker build -t gitlab/gitaly:$(VERSION_PREFIXED) -t gitlab/gitaly:latest $(TARGET_DIR)/docker/
 
 .PHONY: verify
-verify: lint check-formatting megacheck govendor-status notice-up-to-date
+verify: lint check-formatting megacheck govendor-status notice-up-to-date govendor-tagged
 
 .PHONY: govendor-status
 govendor-status: $(TARGET_SETUP) $(GOVENDOR)
 	cd $(PKG_BUILD_DIR) && govendor status
+
+.PHONY: govendor-tagged
+govendor-tagged: $(TARGET_SETUP) $(GOVENDOR)
+	cd $(PKG_BUILD_DIR) && _support/gitaly-proto-tagged
 
 $(TEST_REPO):
 	git clone --bare https://gitlab.com/gitlab-org/gitlab-test.git $@
@@ -190,7 +194,14 @@
 
 # Install golint
 $(GOLINT): $(TARGET_SETUP)
-	go get -v github.com/golang/lint/golint
+	# We should run only this: go get -v golang.org/x/lint/golint
+	# But that is currently (2018-04-23) broken so we have this clunky workaround.
+	mkdir -p $(GOPATH)/src/golang.org/x
+	rm -rf $(GOPATH)/src/golang.org/x/lint
+	git clone --quiet https://github.com/golang/lint $(GOPATH)/src/golang.org/x/lint
+	rm -rf $(GOPATH)/src/golang.org/x/tools
+	git clone --quiet https://github.com/golang/tools $(GOPATH)/src/golang.org/x/tools
+	go install golang.org/x/lint/golint
 
 # Install gocovmerge
 $(GOCOVMERGE): $(TARGET_SETUP)

=== debian/changelog ===
gitaly (0.100.1+debian2-1) unstable; urgency=medium

  * Switch back to vendored copies of grpc and golang-gitaly-proto
    (Closes: #912229)

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Nov 2018 15:47:28 +0530

gitaly (0.100.1+debian1-1) unstable; urgency=medium

  * Use grpc and gitaly-proto from system (remove vendored copies)

 -- Pirate Praveen <praveen@debian.org>  Sat, 20 Oct 2018 23:58:02 +0530

gitaly (0.100.1+debian-1) unstable; urgency=medium

  * New upstream version 0.100.1+debian
  * Use config.toml to specify languages.json

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Oct 2018 18:21:47 +0530

gitaly (0.96.2+debian-3) unstable; urgency=medium

  * Reupload to unstable (ruby-rugged >=0.27, ruby-grpc >=1.10 in unstable now)
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Oct 2018 23:46:46 +0530

gitaly (0.96.2+debian-2) experimental; urgency=medium

  * Tighten/update dependencies to use gitlab forks
  * Make .bundle directory writably by symlinking to /var/lib/gitlab
  * Regenerate Gemfile.lock in postinst

 -- Pirate Praveen <praveen@debian.org>  Fri, 20 Jul 2018 18:31:54 +0530

gitaly (0.96.2+debian-1) experimental; urgency=medium

  * New upstream release
  * Use gitlab-common for user creation
  * Setup user created by gitlab-common for gitaly service
  * Remove dependencies provided by gitlab-common
  * Update watch file pattern
  * Use vendored version of golang-github-prometheus-client-golang-dev
    (Closes: #901223)

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jun 2018 19:22:23 +0530

gitaly (0.96.1+debian-4) experimental; urgency=medium

  * Tighten dependencies (for stretch-backports build)

 -- Pirate Praveen <praveen@debian.org>  Mon, 04 Jun 2018 21:10:35 +0530

gitaly (0.96.1+debian-3) experimental; urgency=medium

  * Relax more ruby dependencies in Gemfile
  * Add ruby dependencies in control
  * Add a test to check ruby dependencies
  * Upload to experimental (need ruby-rugged and ruby-grpc from experimental)

 -- Pirate Praveen <praveen@debian.org>  Sat, 12 May 2018 20:00:04 +0530

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 11~),
  dh-golang,
- golang-go,
+ golang-any (>= 2:1.10~),
  golang-github-beorn7-perks-dev,
  golang-github-burntsushi-toml-dev,
  golang-github-davecgh-go-spew-dev,
@@ -18,7 +18,7 @@
  golang-github-prometheus-client-model-dev,
  golang-github-prometheus-common-dev,
  golang-github-stretchr-testify-dev,
- golang-github-sirupsen-logrus-dev,
+ golang-github-sirupsen-logrus-dev (>= 1.0~),
  golang-golang-x-crypto-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sync-dev,
@@ -28,12 +28,23 @@
  golang-google-genproto-dev,
 # golang-gitaly-proto-dev (>= 0.89.0),
  golang-github-kelseyhightower-envconfig-dev,
- golang-procfs-dev
+ golang-procfs-dev,
 # Tests:
 #  ,git
 #  ,procps
-#  ,ruby-bundler
-Standards-Version: 4.1.4
+ ruby-bundler,
+ ruby-rugged (>= 0.27~),
+ ruby-github-linguist (>= 5.3.3~),
+ ruby-github-markup (>= 1.6.2~),
+ ruby-gitaly (>= 0.95~),
+ ruby-activesupport (>= 2:4.2.10~),
+ ruby-gollum-lib (>= 4.2.7.5~),
+ ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+ ruby-grpc (>= 1.10~),
+ ruby-sentry-raven (>= 2.7~),
+ ruby-licensee (>= 8.7~),
+ ruby-google-protobuf (>= 3.5.1~)
+Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
@@ -42,13 +53,23 @@
 Package: gitaly
 Architecture: any
 Built-Using: ${misc:Built-Using}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-    ,ruby | ruby-interpreter
-    ,ruby-github-linguist
-    ,adduser
+Depends: ${shlibs:Depends}, ${misc:Depends},
+     gitlab-common,
+     ruby | ruby-interpreter,
+     ruby-rugged (>= 0.27~),
+     ruby-github-linguist (>= 5.3.3~),
+     ruby-github-markup (>= 1.6.2~),
+     ruby-gitaly (>= 0.95~),
+     ruby-activesupport (>= 2:4.2.10~),
+     ruby-gollum-lib (>= 4.2.7.5~),
+     ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+     ruby-grpc (>= 1.10~),
+     ruby-sentry-raven (>= 2.7~),
+     ruby-licensee (>= 8.7~),
+     ruby-google-protobuf (>= 3.5.1~),
 # sysv deps:
-    ,pipexec
-    ,procps
+     pipexec,
+     procps
 Description: Git RPC service for handling all the git calls made by GitLab
  Gitaly makes the git data storage tier of large GitLab instances fast.
  .

## gitaly 0.120.1+debian

=== Makefile ===
--- 
+++ 
@@ -56,7 +56,9 @@
 	cp $(foreach cmd,$(COMMANDS),$(BIN_BUILD_DIR)/$(cmd)) $(BUILD_DIR)/
 
 .ruby-bundle:	ruby/Gemfile.lock ruby/Gemfile
+	cd ruby && bundle config # for debugging
 	cd ruby && bundle install $(BUNDLE_FLAGS)
+	cd ruby && bundle show gitaly-proto # sanity check
 	touch $@
 
 # TODO: confirm what references this target? Omnibus? Source installs?
@@ -194,14 +196,7 @@
 
 # Install golint
 $(GOLINT): $(TARGET_SETUP)
-	# We should run only this: go get -v golang.org/x/lint/golint
-	# But that is currently (2018-04-23) broken so we have this clunky workaround.
-	mkdir -p $(GOPATH)/src/golang.org/x
-	rm -rf $(GOPATH)/src/golang.org/x/lint
-	git clone --quiet https://github.com/golang/lint $(GOPATH)/src/golang.org/x/lint
-	rm -rf $(GOPATH)/src/golang.org/x/tools
-	git clone --quiet https://github.com/golang/tools $(GOPATH)/src/golang.org/x/tools
-	go install golang.org/x/lint/golint
+	go get -v golang.org/x/lint/golint
 
 # Install gocovmerge
 $(GOCOVMERGE): $(TARGET_SETUP)

## gitaly 0.125.1+debian

=== Makefile ===
--- 
+++ 
@@ -116,6 +116,8 @@
 
 $(TEST_REPO):
 	git clone --bare https://gitlab.com/gitlab-org/gitlab-test.git $@
+	# Git notes aren't fetched by default with git clone
+	git -C $@ fetch origin refs/notes/*:refs/notes/*
 
 .PHONY: prepare-tests
 prepare-tests: $(TARGET_SETUP) $(TEST_REPO) .ruby-bundle
@@ -167,7 +169,8 @@
 
 .PHONY: notice-up-to-date
 notice-up-to-date: $(TARGET_SETUP) $(GOVENDOR)
-	@(cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template | cmp - NOTICE) || (echo >&2 "NOTICE requires update: 'make notice'" && false)
+	# TODO re-enable this! https://gitlab.com/gitlab-org/gitaly/issues/1358
+	@true || (cd $(PKG_BUILD_DIR) && govendor license -template _support/notice.template | cmp - NOTICE) || (echo >&2 "NOTICE requires update: 'make notice'" && false)
 
 .PHONY: codeclimate-report
 codeclimate-report:

=== debian/changelog ===
gitaly (0.125.1+debian-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 18:57:07 +0530

gitaly (0.125.1+debian-3) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 08 Dec 2018 12:30:21 +0530

gitaly (0.125.1+debian-2) experimental; urgency=medium

  * Switch to github-linguist from gitlab-linguist

 -- Pirate Praveen <praveen@debian.org>  Wed, 05 Dec 2018 23:09:44 +0530

gitaly (0.125.1+debian-1) experimental; urgency=medium

  * New upstream version 0.125.1+debian

 -- Pirate Praveen <praveen@debian.org>  Mon, 26 Nov 2018 17:25:41 +0530

gitaly (0.120.1+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 20:37:24 +0530

gitaly (0.120.1+debian-2) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Thu, 22 Nov 2018 20:43:07 +0530

gitaly (0.120.1+debian-1) experimental; urgency=medium

  * New upstream version 0.120.1+debian
  * Refresh patches
  * Tighten dependency on ruby-gitaly-proto

 -- Pirate Praveen <praveen@debian.org>  Wed, 21 Nov 2018 11:58:44 +0530

gitaly (0.117.3+debian-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 12 Dec 2018 22:51:49 +0530

gitaly (0.117.3+debian-2) unstable; urgency=medium

  * Reupload to unstable
  * Allow ruby-github-linguist 5.x (gitlab needs 5.x)

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 10:24:27 +0530

gitaly (0.117.3+debian-1) experimental; urgency=medium

  * New upstream version 0.117.3+debian
  * Refresh patches
  * Update dependencies

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 19:47:55 +0530

gitaly (0.111.4+debian-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 10 Dec 2018 13:16:32 +0530

gitaly (0.111.4+debian-3) unstable; urgency=medium

  * Relax dependency on gitaly-proto (Closes: #914055)

 -- Pirate Praveen <praveen@debian.org>  Mon, 19 Nov 2018 12:24:45 +0530

gitaly (0.111.4+debian-2) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 17 Nov 2018 12:59:23 +0530

gitaly (0.111.4+debian-1) experimental; urgency=medium

  * New upstream version 0.111.4+debian

 -- Pirate Praveen <praveen@debian.org>  Tue, 13 Nov 2018 14:18:59 +0530

gitaly (0.100.1+debian2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Thu, 01 Nov 2018 15:57:29 +0530

gitaly (0.100.1+debian1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 30 Oct 2018 14:07:24 +0530

=== debian/control ===
--- 
+++ 
@@ -33,16 +33,17 @@
 #  ,git
 #  ,procps
  ruby-bundler,
- ruby-rugged (>= 0.27~),
- ruby-github-linguist (>= 5.3.3~),
+ ruby-rugged (>= 0.27.2~),
+ ruby-github-linguist (>= 5.3~),
  ruby-github-markup (>= 1.6.2~),
- ruby-gitaly (>= 0.95~),
+ ruby-gitaly-proto (>= 0.116~),
  ruby-activesupport (>= 2:4.2.10~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
- ruby-grpc (>= 1.10~),
- ruby-sentry-raven (>= 2.7~),
- ruby-licensee (>= 8.7~),
+ ruby-grpc (>= 1.11~),
+ ruby-sentry-raven (>= 2.7.2~),
+ ruby-faraday (>= 0.12~),
+ ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.5.1~)
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
@@ -56,16 +57,17 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
      gitlab-common,
      ruby | ruby-interpreter,
-     ruby-rugged (>= 0.27~),
-     ruby-github-linguist (>= 5.3.3~),
+     ruby-rugged (>= 0.27.2~),
+     ruby-github-linguist (>= 5.3~),
      ruby-github-markup (>= 1.6.2~),
-     ruby-gitaly (>= 0.95~),
+     ruby-gitaly-proto (>= 0.116~),
      ruby-activesupport (>= 2:4.2.10~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
-     ruby-grpc (>= 1.10~),
-     ruby-sentry-raven (>= 2.7~),
-     ruby-licensee (>= 8.7~),
+     ruby-grpc (>= 1.11~),
+     ruby-sentry-raven (>= 2.7.2~),
+     ruby-faraday (>= 0.12~),
+     ruby-licensee (>= 8.9~),
      ruby-google-protobuf (>= 3.5.1~),
 # sysv deps:
      pipexec,

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,13 @@
             -ldflags "$(GO_LDFLAGS)"
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	-dh_auto_test
+	# Test if ruby dependencies are satisfied
+	TMPDIR=$$(mktemp -d); cp ruby/Gemfile $$TMPDIR; cd $$TMPDIR;\
+        bundle install --local || exit 1;\
+        rm $$TMPDIR/Gemfile*; rmdir $$TMPDIR
+endif
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=\
repacksuffix=+debian,\
repack,compression=xz,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*v(.*)\/.*/gitaly-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\d*$/$1/ \
https://gitlab.com/gitlab-org/gitaly/tags?sort=updated_desc .*/gitaly-v(.*).tar.gz

## gitaly 0.129.0+debian

=== Makefile ===
# Top-level Makefile for Gitaly
#
# Responsibilities of this file:
# - create GOPATH in _build with symlink to current dir
# - re-generate _build/Makefile from makegen.go on each run
# - dispatch commands to _build/Makefile
#
# "Magic" should happen in the makegen.go dynamic template. We want
# _build/Makefile to be as static as possible.

BUILD_DIR = _build
PKG = gitlab.com/gitlab-org/gitaly
MAKEGEN = $(BUILD_DIR)/makegen

# These variables are handed down to make in _build
export GOPATH := $(CURDIR)/$(BUILD_DIR)
export PATH := $(PATH):$(GOPATH)/bin
export TEST_REPO_STORAGE_PATH := $(CURDIR)/internal/testhelper/testdata/data

all: build

.PHONY: build
build: prepare-build
	cd $(BUILD_DIR) && $(MAKE) install INSTALL_DEST_DIR=$(CURDIR) 

.PHONY: install
install: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: assemble
assemble: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: binaries
binaries: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: prepare-tests
prepare-tests: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: test
test: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@
	
.PHONY: rspec
rspec: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: verify
verify: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: format
format: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: cover
cover: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: notice
notice: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: race-go
race-go: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: docker
docker: prepare-build
	cd $(BUILD_DIR) && $(MAKE) $@

.PHONY: prepare-build
prepare-build: $(BUILD_DIR)/.ok update-makefile
$(BUILD_DIR)/.ok:
	mkdir -p $(BUILD_DIR)/src/$(shell dirname $(PKG))
	cd $(BUILD_DIR)/src/$(shell dirname $(PKG)) && rm -f $(shell basename $(PKG)) && \
		ln -sf ../../../.. $(shell basename $(PKG))
	touch $@

.PHONY: update-makefile
update-makefile: _build/makegen $(BUILD_DIR)/.ok
	cd $(BUILD_DIR) && ./makegen > Makefile

_build/makegen: _support/makegen.go $(BUILD_DIR)/.ok
	go build -o $@ _support/makegen.go

clean:
	rm -rf $(BUILD_DIR) .ruby-bundle $(TEST_REPO_STORAGE_PATH)

=== debian/changelog ===
gitaly (0.129.0+debian-3) unstable; urgency=medium

  * Reupload to unstable 

 -- Pirate Praveen <praveen@debian.org>  Sat, 15 Dec 2018 15:01:59 +0530

gitaly (0.129.0+debian-2) experimental; urgency=medium

  * Trigger Gemfile.lock update when ruby libraries change (Closes: #909191)

 -- Pirate Praveen <praveen@debian.org>  Fri, 14 Dec 2018 17:00:55 +0530

gitaly (0.129.0+debian-1) experimental; urgency=medium

  * New upstream version 0.129.0+debian
  * Refresh patches
  * Tighten dependencies
  * Relax bundler version (version in debian is not affected by bug mentioned
    in ruby/Gemfile)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Dec 2018 13:04:38 +0530

=== debian/control ===
--- 
+++ 
@@ -34,17 +34,17 @@
 #  ,procps
  ruby-bundler,
  ruby-rugged (>= 0.27.2~),
- ruby-github-linguist (>= 5.3~),
- ruby-github-markup (>= 1.6.2~),
- ruby-gitaly-proto (>= 0.116~),
+ ruby-github-linguist (>= 6.1~),
+ ruby-github-markup (>= 1.6.4~),
+ ruby-gitaly-proto (>= 0.123~),
  ruby-activesupport (>= 2:4.2.10~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
- ruby-grpc (>= 1.11~),
+ ruby-grpc (>= 1.15~),
  ruby-sentry-raven (>= 2.7.2~),
  ruby-faraday (>= 0.12~),
  ruby-licensee (>= 8.9~),
- ruby-google-protobuf (>= 3.5.1~)
+ ruby-google-protobuf (>= 3.6~)
 Standards-Version: 4.2.1
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
@@ -58,17 +58,17 @@
      gitlab-common,
      ruby | ruby-interpreter,
      ruby-rugged (>= 0.27.2~),
-     ruby-github-linguist (>= 5.3~),
-     ruby-github-markup (>= 1.6.2~),
-     ruby-gitaly-proto (>= 0.116~),
+     ruby-github-linguist (>= 6.1~),
+     ruby-github-markup (>= 1.6.4~),
+     ruby-gitaly-proto (>= 0.123~),
      ruby-activesupport (>= 2:4.2.10~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
-     ruby-grpc (>= 1.11~),
+     ruby-grpc (>= 1.15~),
      ruby-sentry-raven (>= 2.7.2~),
      ruby-faraday (>= 0.12~),
      ruby-licensee (>= 8.9~),
-     ruby-google-protobuf (>= 3.5.1~),
+     ruby-google-protobuf (>= 3.6~),
 # sysv deps:
      pipexec,
      procps

## gitaly 1.20.0+debian

=== Makefile ===
--- 
+++ 
@@ -43,8 +43,16 @@
 test: prepare-build
 	cd $(BUILD_DIR) && $(MAKE) $@
 	
+.PHONY: test-with-proxies
+test-with-proxies: prepare-build
+	cd $(BUILD_DIR) && $(MAKE) $@
+
 .PHONY: rspec
 rspec: prepare-build
+	cd $(BUILD_DIR) && $(MAKE) $@
+
+.PHONY: rspec-gitlab-shell
+rspec-gitlab-shell: prepare-build
 	cd $(BUILD_DIR) && $(MAKE) $@
 
 .PHONY: verify

=== debian/changelog ===
gitaly (1.20.0+debian-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * rules: set DH_GOLANG_GO_GENERATE.

  [ Sruthi Chandran ]
  * New upstream version 1.20.0+debian
  * Fix gitaly.tmpfile to create run/gitlab/sockets (Closes: #918070)

 -- Sruthi Chandran <srud@disroot.org>  Fri, 15 Mar 2019 13:39:24 +0530

gitaly (1.12.0+debian-1) experimental; urgency=medium

  * New upstream version 1.12.0+debian
  * Tighten dependencies
  * Use embedded protobuf and genproto

 -- Pirate Praveen <praveen@debian.org>  Sun, 23 Dec 2018 11:54:55 +0530

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: net
 Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Pirate Praveen <praveen@debian.org>
+Uploaders: Pirate Praveen <praveen@debian.org>,
+ Sruthi Chandran <srud@disroot.org>
 Build-Depends: debhelper (>= 11~),
  dh-golang,
  golang-any (>= 2:1.10~),
  golang-github-beorn7-perks-dev,
  golang-github-burntsushi-toml-dev,
  golang-github-davecgh-go-spew-dev,
- golang-goprotobuf-dev,
-# golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
+#~ golang-goprotobuf-dev,
+#~ golang-github-grpc-ecosystem-go-grpc-prometheus-dev,
  golang-protobuf-extensions-dev,
 #~ golang-github-getsentry-raven-go-dev,
  golang-github-pmezard-go-difflib-dev,
@@ -25,8 +26,8 @@
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
 #~ golang-google-grpc-dev,
- golang-google-genproto-dev,
-# golang-gitaly-proto-dev (>= 0.89.0),
+#~ golang-google-genproto-dev,
+#~ golang-gitaly-proto-dev,
  golang-github-kelseyhightower-envconfig-dev,
  golang-procfs-dev,
 # Tests:
@@ -35,14 +36,15 @@
  ruby-bundler,
  ruby-rugged (>= 0.27.2~),
  ruby-github-linguist (>= 6.1~),
- ruby-github-markup (>= 1.6.4~),
- ruby-gitaly-proto (>= 0.123~),
- ruby-activesupport (>= 2:4.2.10~),
+ ruby-github-markup (>= 1.6.5~),
+ ruby-gitaly-proto (>= 1.10~),
+ ruby-activesupport (>= 2:5.2~),
  ruby-gollum-lib (>= 4.2.7.5~),
  ruby-gollum-rugged-adapter (>= 0.4.4.1~),
  ruby-grpc (>= 1.15~),
  ruby-sentry-raven (>= 2.7.2~),
  ruby-faraday (>= 0.12~),
+ ruby-rbtrace,
  ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.6~)
 Standards-Version: 4.2.1
@@ -59,14 +61,15 @@
      ruby | ruby-interpreter,
      ruby-rugged (>= 0.27.2~),
      ruby-github-linguist (>= 6.1~),
-     ruby-github-markup (>= 1.6.4~),
-     ruby-gitaly-proto (>= 0.123~),
-     ruby-activesupport (>= 2:4.2.10~),
+     ruby-github-markup (>= 1.6.5~),
+     ruby-gitaly-proto (>= 1.10~),
+     ruby-activesupport (>= 2:5.2~),
      ruby-gollum-lib (>= 4.2.7.5~),
      ruby-gollum-rugged-adapter (>= 0.4.4.1~),
      ruby-grpc (>= 1.15~),
      ruby-sentry-raven (>= 2.7.2~),
      ruby-faraday (>= 0.12~),
+     ruby-rbtrace,
      ruby-licensee (>= 8.9~),
      ruby-google-protobuf (>= 3.6~),
 # sysv deps:

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DH_GOLANG_GO_GENERATE := 1
 #export DH_GOLANG_INSTALL_ALL := 1  # test data
 #export DH_GOLANG_INSTALL_EXTRA := vendor

=== debian/tests/control ===
Tests: bundle-install
Depends: @, @builddeps@

## gitaly 1.34.3+debian

=== Makefile ===
--- 
+++ 
@@ -14,8 +14,9 @@
 
 # These variables are handed down to make in _build
 export GOPATH := $(CURDIR)/$(BUILD_DIR)
-export PATH := $(PATH):$(GOPATH)/bin
+export PATH := $(GOPATH)/bin:$(PATH)
 export TEST_REPO_STORAGE_PATH := $(CURDIR)/internal/testhelper/testdata/data
+export GO111MODULE := off
 
 all: build

=== debian/changelog ===
gitaly (1.34.3+debian-1) experimental; urgency=medium

  * New upstream version 1.34.3+debian
  * Change logging level to warn

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jul 2019 22:57:26 +0530

gitaly (1.34.1+debian-1) experimental; urgency=medium

  * Team upload
  * New upstream version 1.34.1+debian
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Refresh patches

 -- Utkarsh Gupta <guptautkarsh2102@gmail.com>  Fri, 17 May 2019 04:18:21 +0530

=== debian/control ===
--- 
+++ 
@@ -25,6 +25,7 @@
  golang-golang-x-sync-dev,
  golang-golang-x-sys-dev,
  golang-golang-x-text-dev,
+ golang-golang-x-tools,
 #~ golang-google-grpc-dev,
 #~ golang-google-genproto-dev,
 #~ golang-gitaly-proto-dev,
@@ -34,20 +35,20 @@
 #  ,git
 #  ,procps
  ruby-bundler,
- ruby-rugged (>= 0.27.2~),
+ ruby-rugged (>= 0.28.1~),
  ruby-github-linguist (>= 6.1~),
- ruby-github-markup (>= 1.6.5~),
- ruby-gitaly-proto (>= 1.10~),
+ ruby-github-markup (>= 1.7.0~),
+ ruby-gitaly-proto (>= 1.22~),
  ruby-activesupport (>= 2:5.2~),
- ruby-gollum-lib (>= 4.2.7.5~),
- ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+ ruby-gollum-lib (>= 4.2.7.7~),
+ ruby-gollum-rugged-adapter (>= 0.4.4.2~),
  ruby-grpc (>= 1.15~),
- ruby-sentry-raven (>= 2.7.2~),
+ ruby-sentry-raven (>= 2.9.0~),
  ruby-faraday (>= 0.12~),
  ruby-rbtrace,
  ruby-licensee (>= 8.9~),
  ruby-google-protobuf (>= 3.6~)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://gitlab.com/gitlab-org/gitaly
 Vcs-Git: https://salsa.debian.org/go-team/packages/gitaly.git
 Vcs-Browser: https://salsa.debian.org/go-team/packages/gitaly
@@ -59,15 +60,15 @@
 Depends: ${shlibs:Depends}, ${misc:Depends},
      gitlab-common,
      ruby | ruby-interpreter,
-     ruby-rugged (>= 0.27.2~),
+     ruby-rugged (>= 0.28.1~),
      ruby-github-linguist (>= 6.1~),
-     ruby-github-markup (>= 1.6.5~),
-     ruby-gitaly-proto (>= 1.10~),
+     ruby-github-markup (>= 1.7.0~),
+     ruby-gitaly-proto (>= 1.22~),
      ruby-activesupport (>= 2:5.2~),
-     ruby-gollum-lib (>= 4.2.7.5~),
-     ruby-gollum-rugged-adapter (>= 0.4.4.1~),
+     ruby-gollum-lib (>= 4.2.7.7~),
+     ruby-gollum-rugged-adapter (>= 0.4.4.2~),
      ruby-grpc (>= 1.15~),
-     ruby-sentry-raven (>= 2.7.2~),
+     ruby-sentry-raven (>= 2.9.0~),
      ruby-faraday (>= 0.12~),
      ruby-rbtrace,
      ruby-licensee (>= 8.9~),
